aboutsummaryrefslogtreecommitdiff
path: root/server
diff options
context:
space:
mode:
authorRasmus Dahlberg <rasmus.dahlberg@kau.se>2020-10-28 14:56:11 +0100
committerRasmus Dahlberg <rasmus.dahlberg@kau.se>2020-10-28 14:56:11 +0100
commitcaca215c9516e8dc236a8510a6a5467c267d2331 (patch)
treeb4d0ee37f09e525e9402c5d2bdcbed72ef0cd483 /server
parentd752d967335e1418f27e03e0389b01178b28f232 (diff)
added consistency-proof code path
Diffstat (limited to 'server')
-rwxr-xr-xserver/testdata/cmd/get-consistency-proof16
1 files changed, 16 insertions, 0 deletions
diff --git a/server/testdata/cmd/get-consistency-proof b/server/testdata/cmd/get-consistency-proof
new file mode 100755
index 0000000..b5b749c
--- /dev/null
+++ b/server/testdata/cmd/get-consistency-proof
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -eo pipefail
+source config
+
+first="1"
+second="2"
+if [[ ! -z $1 ]] && [[ ! -z $2 ]]; then
+ first=$1
+ second=$2
+fi
+
+info "sending get-consistency-proof request"
+curl -G -d "first=$first" -d "second=$second" $base_url/get-consistency-proof
+newline
+# TODO: try decoding and verifying proof